package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class RemoteRobotStatusDTO {

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "车辆是否暂停(0:已经暂停, 1:没暂停)")
    private Integer isStop = 1;

    @Schema(description = "远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode = 0;

    @Schema(description = "协控(0:关闭协控, 1:开启协控, 2:不显示协控)")
    private Integer collaborativeControl = 2;

    @Schema(description = "车辆任务状态(3：待命 , 其他都是任务中)")
    private Integer robotStatus = 2;

    @Schema(description = "任务模式（0：锁定、1：正常）")
    private Integer robotTaskModel;

    @Schema(description = "是否可以点击: 异常处理(0:显示异常处理, 1:不显示异常处理)")
    private Integer clickException = 1;

    @Schema(description = "是否可以点击(  0: 显示取货完成按钮,  1:显示任务完成按钮 , 2: 不显示任务完成按钮)")
    private Integer clickTaskDone = 2;
}
