package cn.iocoder.yudao.module.system.api.robot;

import cn.iocoder.yudao.module.system.api.robot.dto.RobotGenericsDTO;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotGenericsDataDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 机器人异常上报/常规信息上报")
public interface RobotGenericsStatusApi {

    String PREFIX = ApiConstants.PREFIX + "/task";

    @PostMapping(PREFIX + "/updateRobotCommonStatus")
    @Operation(summary = "机器人异常上报/常规信息上报")
    void updateRobotCommonStatus(@RequestBody RobotGenericsDataDTO robotStatusData);
}
