package cn.iocoder.yudao.module.system.controller.admin.parkingspot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 停车点 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ParkingSpotRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26076")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "地图id", example = "6609")
    @ExcelProperty("地图id")
    private Long positionMapId;

    @Schema(description = "地图子表节点id", example = "23591")
    @ExcelProperty("地图子表节点id")
    private Long positionMapItemId;

    @Schema(description = "库位坐标x轴")
    @ExcelProperty("库位坐标x轴")
    private String locationX;

    @Schema(description = "库位坐标y轴")
    @ExcelProperty("库位坐标y轴")
    private String locationY;

    @Schema(description = "宽度")
    @ExcelProperty("宽度")
    private BigDecimal locationWide;

    @Schema(description = "深度")
    @ExcelProperty("深度")
    private BigDecimal locationDeep;

    @Schema(description = "库位方向（1：单向、2：双向、3：三向、4：四向）")
    @ExcelProperty("库位方向（1：单向、2：双向、3：三向、4：四向）")
    private Integer direction;

    @Schema(description = "进入方向（0：尾入、1：头入）")
    @ExcelProperty("进入方向（0：尾入、1：头入）")
    private Integer inDirection;

    @Schema(description = "离开方向（0：尾出、1：头出）")
    @ExcelProperty("离开方向（0：尾出、1：头出）")
    private Integer outDirection;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
