package cn.iocoder.yudao.module.system.controller.admin.positionmap.dto;

import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLineSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "仓库点位地图子表")
@Data
public class PositionMapItemNodeDTO {

    @Schema(description = "id")
    private Long id;

    @Schema(description = "仓库点位地图表id")
    private Long positionMapId;

    @Schema(description = "库区id(自定义)")
    private Long areaId;

    @Schema(description = "巷道id(自定义)")
    private Long laneId;

    @Schema(description = "坐标x轴")
    private String locationX;

    @Schema(description = "坐标y轴")
    private String locationY;

    @Schema(description = "实际坐标x轴")
    private String actualLocationX;

    @Schema(description = "实际坐标y轴")
    private String actualLocationY;

    @Schema(description = "点位自增排序")
    private Long sortNum;

    @Schema(description = "类型 1.路径点位 2.库位点 3.充电桩 4.停车点 5.区域变更点 6.等待点 --- 后续补充", example = "1")
    private Integer type;

    @Schema(description = "对应各个类型的独有属性Json格式 例如（{库位长度:1,库位宽度:2,库位方向:单向}）", example = "1")
    private String dataJson;

    @Schema(description = "排序的位置,越大越优先堆放")
    private Long locationNumber;

    @Schema(description = " 弧度")
    private String locationYaw;

    @Schema(description = "旧的线id")
    private Long oldLineId;

    @Schema(description = "新的路线")
    private List<PositionMapLineSaveReqVO> positionMapLines;

}
