package cn.iocoder.yudao.module.system.controller.admin.remote.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 远遥设备信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RemoteControllerInformationPageReqVO extends PageParam {

    @Schema(description = "远遥的设备IP")
    private String remoteIp;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode;

    @Schema(description = "协控(0:关闭协控, 1:开启协控)")
    private Integer collaborativeControl;

    @Schema(description = "远遥的其他信息")
    private String remoteMsg;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "服务IP")
    private String systemIp;

    @Schema(description = "服务端口")
    private String systemPort;

    @Schema(description = "robot_task_detail的id", example = "3495")
    private Long taskDetailId;
}