package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 车辆类型分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotModelPageReqVO extends PageParam {

    @Schema(description = "车辆类型")
    private String robotModelNumber;

    @Schema(description = "偏移量")
    private String robotOffset;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "上传图片附件", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "是否自动充电（0:手动充电,1:自动充电）")
    private Integer chargeType;

    @Schema(description = "车辆宽(单位米)")
    private String robotWide;

    @Schema(description = "中心到车头距离(单位米)")
    private String robotCenterHeadstock;

    @Schema(description = "中心到车尾距离(单位米)")
    private String robotCenterTail;

    @Schema(description = "转弯半径(单位米)")
    private String robotTurningRadius;

    @Schema(description = "X轴偏移量")
    private String robotXOffset;

    @Schema(description = "Y轴偏移量")
    private String robotYOffset;
}