package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 车辆类型 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotModelRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15571")
    @ExcelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @Schema(description = "车辆类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("车辆类型")
    private String robotModelNumber;

    @Schema(description = "上传图片附件", example = "https://www.iocoder.cn")
    @ExcelProperty("上传图片附件")
    private String url;

    @Schema(description = "是否自动充电（0:手动充电,1:自动充电）")
    private Integer chargeType;

    @Schema(description = "偏移量")
    @ExcelProperty("偏移量")
    private String robotOffset;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "车辆宽(单位米)")
    private String robotWide;

    @Schema(description = "中心到车头距离(单位米)")
    private String robotCenterHeadstock;

    @Schema(description = "中心到车尾距离(单位米)")
    private String robotCenterTail;

    @Schema(description = "转弯半径(单位米)")
    private String robotTurningRadius;

    @Schema(description = "X轴偏移量")
    private String robotXOffset;

    @Schema(description = "Y轴偏移量")
    private String robotYOffset;
}