package cn.iocoder.yudao.module.system.dal.dataobject.cycle;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 循环任务点位 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_task_cycle")
@KeySequence("robot_task_cycle_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskCycleDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 机器人任务主表id
     */
    private Long robotTaskId;
    /**
     * ware_position_map_item的id
     */
    private Long mapItemId;

}