package cn.iocoder.yudao.module.system.dal.dataobject.positionmap;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 仓库点位地图 DO
 *
 * @author 芋道源码
 */
@TableName("ware_position_map")
@KeySequence("ware_position_map_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PositionMapDO extends BaseDO {

    /**
     * 主键ID
     */
    private Long id;
    /**
     * 楼层
     */
    private Integer floor;
    /**
     * 区域
     */
    private String area;
    /**
     * AGV地图ymlJson信息
     */
    private String yamlJson;
    /**
     * AGV地图图片路径
     */
    private String pngUrl;
    /**
     * AGV地图yaml路径
     */
    private String yamlUrl;

}
