package cn.iocoder.yudao.module.system.dal.dataobject.remote;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 远遥任务转移记录 DO
 *
 * @author 陈宾顺
 */
@TableName("remote_controller_task_transfer_log")
@KeySequence("remote_controller_task_transfer_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ControllerTaskTransferLogDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 远遥的设备IP
     */
    private String remoteIp;
    /**
     * robot_task_detail的id
     */
    private Long taskDetailId;
    /**
     * 任务转移时的任务阶段(0:待执行、1：前往取货、2：取货中、3：前往放货、4：放货中、5：结束、6：移动中、7:正在充电、8:取消、9:人工完成、10:异常)
     */
    private Long taskStage;
    /**
     * 任务号
     */
    private String taskNo;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 转移时选择的远遥模式(0:自动模式, 1:手动模式, 2:自由模式)
     */
    private Integer remoteMode;
    /**
     * 转移后的AGV编号
     */
    private String transferRobotNo;


}