package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 机器人任务主表 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_task")
@KeySequence("robot_task_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotTaskDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 是否拼接任务（0：不拼接、1：拼接）
     */
    private Integer montageTask;
    /**
     * 拼接任务数量
     */
    private Integer montageNumber;
    /**
     * 物料信息
     */
    private String skuInfo;
    /**
     * 物料批次号
     */
    private String skuBatch;
    /**
     * 物料数量
     */
    private Long skuNumber;
    /**
     * 优先级
     */
    private Long priority;
    /**
     * 其他信息
     */
    private String otherMsg;
    /**
     * 循环(0:不循环、1：循环)
     */
    private Long doCycle;
    /**
     * 是否搬空所选线库/区域(0:不搬空、1：搬空)
     */
    private Long doMoveAll;
    /**
     * 循环次数
     */
    private Long cycleNumber;
    /**
     * 剩余循环次数，默认1
     */
    private Long remainingCycleNumber;
    /**
     * 任务号
     */
    private String taskNo;
    /**
     * 任务状态(0:未开始、1：执行中、2：已完成、3：已取消)
     */
    private Integer taskStatus;
    /**
     * 任务阶段(0:待执行、1：前往取货、2：取货中、3：运输中、4：放货中、5：结束)
     */
    private Long taskStage;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;

}