package cn.iocoder.yudao.module.system.schedul;


import cn.hutool.core.util.ObjectUtil;
import cn.hutool.json.JSONUtil;
import cn.iocoder.yudao.module.system.api.robot.processor.RequestProcessor;
import cn.iocoder.yudao.module.system.api.robot.websocket.RobotInformationVO;
import cn.iocoder.yudao.module.system.constant.CommonConstant;
import cn.iocoder.yudao.module.system.service.robot.RobotInformationService;
import cn.iocoder.yudao.module.system.util.redis.RedisUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@EnableScheduling
@Component
@Slf4j
public class RcsMapScheduled {

    @Resource
    private RedisUtil redisUtil;

    @Resource
    private RequestProcessor processor;

    @Autowired
    private RobotInformationService robotInformationService;

    private static final ExecutorService fixedThreadPool = Executors.newFixedThreadPool(10);

    // 这个方法将每200毫秒执行一次
//    @Scheduled(fixedDelay = 300, timeUnit = TimeUnit.MILLISECONDS)
    public void executeTask() {
        fixedThreadPool.execute(() ->{
            sendRobotInformationToRcsMap();
        });
    }

    /**
     * 发送车辆信息给车机
     */
    private void sendRobotInformationToRcsMap() {
        Map<String, RobotInformationVO> robotInformationVOS = robotInformationService.getAllRobotByRedis();
        if (ObjectUtil.isEmpty(robotInformationVOS)) {
            return;
        }

        for (Map.Entry<String, RobotInformationVO> item : robotInformationVOS.entrySet()) {
            RobotInformationVO v = item.getValue();
            if (ObjectUtil.isEmpty(v)) {
                v = robotInformationService.getRobotByRedis(item.getKey());
            }
            /*processor.handleRequest(floorZoneDTO.getFloor() + CommonConstant.SYMBOL + floorZoneDTO.getArea(),
                    item.getKey(), JSONUtil.toJsonStr(v));*/
        }


    }


}
