package cn.iocoder.yudao.module.system.service.statistics;

import java.util.*;
import javax.validation.*;

import cn.iocoder.yudao.module.system.controller.admin.statistics.dto.RobotWorkHourStatisticsDTO;
import cn.iocoder.yudao.module.system.controller.admin.statistics.vo.RobotWorkingHoursStatisticsPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.statistics.vo.RobotWorkingHoursStatisticsSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.statistics.RobotWorkingHoursStatisticsDO;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 车辆工作时长统计 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotWorkingHoursStatisticsService extends IService<RobotWorkingHoursStatisticsDO> {

    /**
     * 创建车辆工作时长统计
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRobotWorkingHoursStatistics(@Valid RobotWorkingHoursStatisticsSaveReqVO createReqVO);

    /**
     * 更新车辆工作时长统计
     *
     * @param updateReqVO 更新信息
     */
    void updateRobotWorkingHoursStatistics(@Valid RobotWorkingHoursStatisticsSaveReqVO updateReqVO);

    /**
     * 删除车辆工作时长统计
     *
     * @param id 编号
     */
    void deleteRobotWorkingHoursStatistics(Long id);

    /**
     * 获得车辆工作时长统计
     *
     * @param id 编号
     * @return 车辆工作时长统计
     */
    RobotWorkingHoursStatisticsDO getRobotWorkingHoursStatistics(Long id);

    /**
     * 获得车辆工作时长统计分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆工作时长统计分页
     */
    PageResult<RobotWorkingHoursStatisticsDO> getRobotWorkingHoursStatisticsPage(RobotWorkingHoursStatisticsPageReqVO pageReqVO);

    //统计车辆工作时长
    void statisticsRobotDuration();

    //创建空闲时间
    void createFreeTime(String robotNo);

    /**
     * 统计车辆时长
     * @param type
     * @param positionMapId
     * @return
     */
    List<RobotWorkHourStatisticsDTO> robotWorkHourStatistics(String type, String positionMapId);
}
